Subject: New version of awols-fvwm-themes

From: Alex Wallis <[email-masked]>
Date: Tue, 4 Jan 2000 04:10:48 +1030

I've just uploaded the latest version of my desktop themes for fvwm2 to 
http://www.dove.net.au/~awol/fvwm2/awols-fvwm-themes.tar.gz
It's only a 60K tarball. It still requires at least version 2.3.11 of fvwm2.

It now has more options to load different configs. Also I've put menus
and functions into their own files and directories. 
Unfortunately, I haven't had time to write much documentation or help.
I will do so in the near future along with more themes.
There's probably still some bugs so any help in tracking these would be
very much appreciated. The Backer form still has problems.
Aside from that, the GUI's provide easily switchable mutiple configurations
or themes.  I've attached a couple of windowshots to demonstrate.
I haven't been able to include features introduced to the CVS in the last week
because of the snapshot build problem. I will do so when the next snap is
available.
The README follows.

Alex

#############################################################################################
README for awols Desktop Themes.  awols-fvwm-themes.tar.gz by Alex Wallis <[email-masked]>
######################################################################### Jan 4th 2000 ######

In this package you should find the following files and directories....

drwxr-xr-x   7 awol     users        1024 Jan  4 02:54 ./
drwxr-xr-x  16 awol     users        2048 Jan  4 02:53 ../
-rw-r--r--   1 awol     users         498 Jan  4 02:53 .fvwm2rc <----- a new minimal rc file
-rw-r--r--   1 awol     users        2697 Jan  4 03:07 README   <----- this document
drwxr-xr-x   2 awol     users        1024 Jan  4 02:53 docs/    <----- not much here I'm afraid (more to come)
drwxr-xr-x   2 awol     users        1024 Jan  4 02:53 forms/   <----- the forms for themes GUI's
drwxr-xr-x   2 awol     users        1024 Jan  4 02:53 functions/ <--- place your functions in a file here
drwxr-xr-x   2 awol     users        1024 Jan  4 02:53 menus/   <----- place your menus in a file here
drwxr-xr-x   7 awol     users        1024 Jan  4 02:55 themes/  <----- directories containing theme files

INSTALLATION

1. To install simply set $FVWM_USERHOME to some directory by editing ~/.profile
and entering the following lines

FVWM_USERHOME=/home/your/file/path/
export FVWM_USERHOME

2. Once done source the file or logout then back in again.

3. Next untar the awols-fvwm-themes.tar.gz in $FVWM_USERHOME/

4. Edit .fvwm2rc to set your ImagePath

Then you can start fvwm2 in your usual manner. (e.g. startx or xdm)

If all goes well you should see different colors than the normal default.

If you want a system wide install simply comment the line in .fvwm2rc to read the forms.
Then untar the forms tarball into <prefix>/etc/fvwm/

There's a some default files that are essentially the fvwm default install .fvwm2rc file. If you want 
to use your own .fvwm2rc then you'll have to do some extensive editing.  You must remove ALL commands
related to colors, colorsets, AND any/all modules except for window colors that you want to remain
fixed between "themes". Module configs can be specified separately or together as parts of different
themes. Menus and functions have their own files as do window decorations.
If you have rplay support compiled in and you add the sample sounds/ files to rplay.conf
then you will hear sounds upon starting the window manager. Otherwise there might be errors in your
X server logs so switch the Events module off. I like builtin-rplay so I use it. I'm not sure if 
other commands will work as well with this themes package though. I've put the actual .wav's
in a separate tarball. 

If you get errors about symbolic links, remove the link and copy a Default file to Current
The link should then replace the file once it's reset without problem.
It's best to save each theme at least once upon starting.

The 'current theme' is always loaded at Starts and Restarts. 
Not always loaded are the Styles, Events, Backgrounds, and/or Modules etc...
Each can be set to current or theme.

Different colors are easily assigned to windows, menus and modules for each theme.
Different colorsets can be created, tested, and saved for future use by each theme.
Different combinations of different configurations of different modules, can be...etc...

Hey! Everything's configurable.  ;-)

To swap themes with your friends simply find the related $(ThemeName) directory and files
and tar them up with your favourite sounds, backgrounds module configs etc...

Have fun with it! And let me know what you think.
Oh... And please send me bug reports. I know there's heaps,
I'm gonna fix 'em. I promise!

Alex Wallis
[email-masked]